%if 0%{?el7}
%define dist .el7
%endif

Name:		lame
Version:	3.99.5
Release:	9%{?dist}
Summary:	LAME Ain't an MP3 Encoder

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://lame.sourceforge.net/
Source0:	http://sourceforge.net/projects/lame/files/lame/3.99/%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-gcc-4.1.2.patch
Patch2:     lame-3.99.5-gcc_4_9_0_i686_fix-1.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  pkgconfig nasm
%if 0%{?fedora} || 0%{?rhel} <= 6
BuildRequires:	gtk+-devel
Requires:		gtk+
%endif

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Originally developed by Mike Cheng (www.uq.net.au/~zzmcheng) and was
latter developed by Mark Taylor (www.mp3dev.org). Currently maintained
by The LAME Project.

This code is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
(LGPL, see www.gnu.org), version 2.

As LAME may contain software for which some companies may claim software
patents, if you are in a location where software patents are recognized, it is
suggested that you seek legal advice before deploying and/or redistributing
LAME.

%package devel
Summary:	Libraries for lame.
Group:		Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
Libraries for lame.

%prep
%setup -q

%if 0%{?rhel} == 5
%patch1 -p1
%endif
%if 0%{?fedora} >= 21
%patch2 -p1
%endif

%build
%configure \
	--enable-shared=yes \
	--disable-static \
	--enable-nasm \
	--enable-efence \
%if 0%{?fedora} || 0%{?rhel} <= 6
	--enable-mp3x \
	--with-gtk-prefix=%{_prefix} \
	--with-gtk-exec-prefix=%{_prefix} \
%endif
	--enable-mp3rtp \
	--enable-dynamic-frontends \
	--enable-expopt=full \
	--with-pic

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf %{buildroot}%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc API ChangeLog DEFINES HACKING INSTALL* README* STYLEGUIDE TODO USAGE doc/html/*.html
%{!?_licensedir:%global license %%doc}
%license COPYING LICENSE
%{_bindir}/lame
%{_bindir}/mp3rtp
%if 0%{?fedora} || 0%{?rhel} <= 6
%{_bindir}/mp3x
%endif
%{_mandir}/man1/lame.1*
%{_libdir}/libmp3lame.so.*

%files devel
%{_includedir}/lame/lame.h
%{_libdir}/libmp3lame.so

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 3.99.5-9
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 3.99.5-8
- Rebuilt for fc23

* Tue Apr 21 2015 momo-i <webmaster@momo-i.org> - 3.99.5-7
- Fix Requires

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 3.99.5-6
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 3.99.5-5
- change license dir

* Mon Sep 22 2014 momo-i <webmaster@momo-i.org> - 3.99.5-4
- simple fixed gcc 4.9.0 patch on i686

* Tue Mar 25 2014 momo-i <webmaster@momo-i.org> - 3.99.5-3
- do not use gui for rhel7

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 3.99.5-2
- change files

* Fri Mar  1 2013 momo-i <webmaster@momo-i.org> 3.99.5-1
- Initial rpm release.
